/* structPointer2.c
 * Demonstrate structure pointer assignment.
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define NAME_SIZE 80

typedef struct {
  char last[NAME_SIZE];
  char first[NAME_SIZE];
  double gpa;
  int startYear;
} student_t;

int main() {
  student_t *studentOne_p, *studentTwo_p;

  studentOne_p = malloc(sizeof (student_t));
  studentOne_p->gpa = 3.5;
  studentOne_p->startYear = 2000;
  strncpy(studentOne_p->first,
      "Jane", NAME_SIZE);
  strncpy(studentOne_p->last,
      "Programmer", NAME_SIZE);

  // pointer assignment
  studentTwo_p = studentOne_p;

  studentTwo_p->gpa = 3.45;
  strncpy(studentTwo_p->first,
      "John", NAME_SIZE);

  printf("%s, %s: gpa:%f, year:%d\n",
      studentOne_p->last,
      studentOne_p->first,
      studentOne_p->gpa,
      studentOne_p->startYear);
  printf("%s, %s: gpa:%f, year:%d\n",
      studentTwo_p->last,
      studentTwo_p->first,
      studentTwo_p->gpa,
      studentTwo_p->startYear);
  return 0;
}
