/* swap.c
 * Demonstrate call-by-reference.
 */
#include <stdio.h>

void swap(int *x_p, int *y_p) {
  int temp;

  temp = *x_p;
  *x_p = *y_p;
  *y_p = temp;
}

int main() {
  int num1, num2;

  printf("Enter two integers.\n");
  scanf("%d%d", &num1, &num2);
  printf("num1 = %d, num2 = %d\n", num1, num2);

  swap(&num1, &num2);

  printf("num1 = %d, num2 = %d\n", num1, num2);
  return 0;
}
